Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Synchronizes system time using the Network Time Protocol (NTP).
Name:      	ntp
Version:   	4.2.4p4
Release:   	4
License: 	as-is
URL:		www.ntp.org
Group:     	Networking/Other
Source0: 	ntp-%{version}.tar.gz
Source1:	ntp.conf
Source2:	ntpd.sysconfig
Source3:	ntp-client.sysconfig
Source4:	ntpd.init
Source5:	ntp-client.init
Source6:	ntp-4.2.0-r2-manpages.tar.bz2
Patch0:		ntp-4.2.4-sleep.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libcap-devel, ncurses-devel, readline-devel, openssl-devel, sed, automake, autoconf
Requires:	ncurses, readline, openssl, libcap

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source. The ntp package contains
utilities and daemons that will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

Install the ntp package if you need tools for keeping your system's
time synchronized via the NTP protocol.

%pre
if [ $1 -eq 1 ]; then
    /usr/sbin/groupadd -g 188 ntp &>/dev/null || : 
    /usr/sbin/useradd -u 188 -c 'NTP User' -g ntp -s /sbin/nologin ntp &>/dev/null || : 
fi

%post 
/sbin/chkconfig --add ntpd
/sbin/chkconfig --add ntp-client
/sbin/chkconfig ntpd on

# Restart ntpd if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/ntpd stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/ntpd start 1>/dev/null 2>&1
fi

%preun 
if test $1 = 0; then
        /etc/rc.d/init.d/ntpd stop 1>/dev/null 2>&1
        /sbin/chkconfig --del ntpd
	/sbin/chkconfig --del ntp-client
fi

%postun
if [ $1 -eq 0 ]; then
	/usr/sbin/userdel ntp &>/dev/null || :
	/usr/sbin/groupdel ntp &>/dev/null || :
fi

%prep
%setup -n ntp-%{version}
tar xfjp %{SOURCE6}
%patch0 -p1
#%patch2 -p1
#libtoolize --force
#aclocal
#autoheader
#automake -a
#autoconf

%build
./configure 	--prefix=%_prefix \
		--bindir=%_sbindir \
		--enable-linuxcaps \
		--enable-ipv6 \
		--enable-parse-clocks \
		--sysconfdir=%_sysconfdir\
		--mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
install -m 755 -d $RPM_BUILD_ROOT%_mandir/man1
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
install -m 755 -d $RPM_BUILD_ROOT/var/cache
touch $RPM_BUILD_ROOT/var/cache/ntp.drift
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_sysconfdir/sysconfig/ntpd
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%_sysconfdir/sysconfig/ntp-client
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/ntpd
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/ntp-client
install -c -m 444 man/*.1 $RPM_BUILD_ROOT%_mandir/man1

%files
%defattr(-,root,root)
%_sbindir/*
%_bindir
%_mandir/man1/*
%config %_sysconfdir/rc.d/init.d/ntpd
%config %_sysconfdir/rc.d/init.d/ntp-client
%config(noreplace) %_sysconfdir/ntp.conf
%config(noreplace) %_sysconfdir/sysconfig/ntpd
%config(noreplace) %_sysconfdir/sysconfig/ntp-client
%config(noreplace) %attr(644,ntp,ntp) %verify(not md5 size mtime) /var/cache/ntp.drift

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4p4-4
- rebuilt against libcap 2.11
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 4.2.4p4-3
- fixed user addition
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 4.2.4p4-2
- fixed shutdown, must be shutdown before unmounting fs
* Mon Oct 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4p4-1
- Version update
- added "stop" to ntp-client initscript for a cleaner chkconfig integration
* Wed May 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4p0-1
- Version update
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2p3-3
- fixed ntpd init script
* Mon Oct 16 2006 Simon Schmeisser <wrt@ccux-linux.de> 4.2.2p3-2
- fixed some little bugs
- set default ntp-client server to europe.pool.ntp.org since otherone didn't work
* Wed Oct 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2p3-1
- Version update
- ported initscripts to support chkconfig 
* Fri Jul 08 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.2.0-5
- rebuilt against openssl 0.9.8
* Fri Jun 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.0-4
- Added hwclock to ntp-client Skript
* Thu Jun 02 2005 Christian Metzen <metzench@ccux-linux.de> 4.2.0-3
- Tweaked Specfile
* Thu Jun 02 2005 Stefan Gottwlad <gotti@ccux-linux.de> 4.2.0-2
- Fixed local warning in ntp-client skript
* Mon May 23 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.2.0-1
- Initial Release
